﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static int totalTerms = 24;
        static int success = 0;
        static int totalIterations = 10000;
        static Random r = new Random();

        static void Main(string[] args)
        {
            for(int j = 0;  j< totalIterations; j++)
            {
                innerLoop(j);
            }
            Console.WriteLine("Total successes in " + totalIterations + " = " + success);
            float probability = success / totalIterations;
            Console.WriteLine("Each student guesses correctly with probability = " + probability);

        }

        static void innerLoop(int iterNum)
        {
            for(int i=0;i<totalTerms; i++)
            {
                int randTerm = pickRandTerm();
                if (randTerm == i)
                {
                    success++;
                }
            }
        }

        static int pickRandTerm()
        {
            return r.Next(totalTerms); 
        }
    }
}
